View Issue Details

IDProjectCategoryView StatusLast Update
0032697CommunityOCCT:Configurationpublic2022-03-29 16:46
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032697: Configuration - fix compilation errors with oneTBB 2021
DescriptionThe following compilation error occurs while building OCCT with oneTBB 2021:
../src/OSD/OSD_Parallel_TBB.cxx:28:10: fatal error: tbb/task_scheduler_init.h: No such file or directory
   28 | #include <tbb/task_scheduler_init.h>


References:
https://github.com/conda-forge/occt-feedstock/pull/77
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

related to 0032891 newazv Open CASCADE Coding Rules - eliminating TBB deprecation warning on Ubuntu 20.04 
child of 0030573 closedapn Open CASCADE OSD_Parallel_TBB: limit number of execution threads using settings of OSD_ThreadPool::DefaultPool() 

Activities

git

2021-11-29 21:27

administrator   ~0105526

Branch CR32697 has been created by kgv.

SHA-1: df87bcdd523c585973dd88df7ce6aaefda1ce0be


Detailed log of new commits:

Author: kgv
Date: Mon Nov 29 21:26:45 2021 +0300

    0032697: Configuration - fix compilation errors with oneTBB 2021
    
    Removed usage of no more existing tbb::task_scheduler_init and tbb::captured_exception.

kgv

2021-11-30 13:02

developer   ~0105536

Patch is ready for review.
- OCCT: branch CR32697.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32697-master-KGV/

aml

2021-12-01 07:11

developer   ~0105552

Reviewed.

smoskvin

2021-12-04 12:00

administrator   ~0105642

Combination -
OCCT branch : IR-2021-12-03
master SHA - 03eb96038e853c37a2229e59d0acb72f5dd0478d
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-03 SHA - 52ed38cc2ddefb01913e1984cdae84175a8fb8ed
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18166.60000000042 / 18390.6500000004 [-1.22%]
Products
Total CPU difference: 11658.820000000103 / 11648.280000000103 [+0.09%]
Windows-64-VC14:
OCCT
Total CPU difference: 19937.84375 / 19928.171875 [+0.05%]
Products
Total CPU difference: 13069.28125 / 13059.03125 [+0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-04 12:30

administrator   ~0105657

Branch CR32697 has been deleted by mnt.

SHA-1: df87bcdd523c585973dd88df7ce6aaefda1ce0be

Related Changesets

occt: master 740833a6

2021-11-29 18:26:45

kgv


Committer: smoskvin Details Diff
0032697: Configuration - fix compilation errors with oneTBB 2021

Removed usage of no more existing tbb::task_scheduler_init and tbb::captured_exception.
Affected Issues
0032697
mod - src/OSD/OSD_Parallel_TBB.cxx Diff File

Issue History

Date Modified Username Field Change
2021-11-29 21:25 kgv New Issue
2021-11-29 21:25 kgv Assigned To => kgv
2021-11-29 21:25 kgv Test case number => N/A
2021-11-29 21:25 kgv Summary Configuration - compilation errors with oneTBB 2021 => Configuration - fix compilation errors with oneTBB 2021
2021-11-29 21:27 git Note Added: 0105526
2021-11-29 21:29 kgv Relationship added child of 0030573
2021-11-29 21:39 kgv Description Updated
2021-11-30 13:02 kgv Note Added: 0105536
2021-11-30 13:02 kgv Assigned To kgv => aml
2021-11-30 13:02 kgv Status new => resolved
2021-12-01 07:11 aml Note Added: 0105552
2021-12-01 07:11 aml Assigned To aml => bugmaster
2021-12-01 07:11 aml Status resolved => reviewed
2021-12-04 12:00 smoskvin Note Added: 0105642
2021-12-04 12:00 smoskvin Status reviewed => tested
2021-12-04 12:14 smoskvin Changeset attached => occt master 740833a6
2021-12-04 12:14 smoskvin Assigned To bugmaster => smoskvin
2021-12-04 12:14 smoskvin Status tested => verified
2021-12-04 12:14 smoskvin Resolution open => fixed
2021-12-04 12:30 git Note Added: 0105657
2022-03-29 16:46 kgv Relationship added related to 0032891